winstd::console_ctrl_handler Class Reference
Windows API

Console control handler stack management. More...

`#include <WinStd/Win.h>`

## Public Member Functions

| console_ctrl_handler (PHANDLER_ROUTINE HandlerRoutine) noexcept
| Construct the console control handler object and pushes the given handler to the console control handler stack. More...
virtual | ~console_ctrl_handler ()
| Pops console control handler from the console control handler stack. More...

## Protected Attributes

BOOL | m_cookie
| Did pushing the console control handler succeed?
PHANDLER_ROUTINE | m_handler
| Pointer to console control handler.

## Detailed Description

Console control handler stack management.

## Constructor & Destructor Documentation

## console_ctrl_handler()

winstd::console_ctrl_handler::console_ctrl_handler | ( | PHANDLER_ROUTINE | HandlerRoutine | ) |

inlinenoexcept

Construct the console control handler object and pushes the given handler to the console control handler stack.

Parameters

  [in] | HandlerRoutine | A pointer to the application-defined HandlerRoutine function to be added.

See also
  SetConsoleCtrlHandler function

## ~console_ctrl_handler()

virtual winstd::console_ctrl_handler::~console_ctrl_handler | ( |  | ) |

inlinevirtual

Pops console control handler from the console control handler stack.

See also
  SetConsoleCtrlHandler function

The documentation for this class was generated from the following file:

- include/WinStd/Win.h